GNU bug report logs - #53114
[PATCH 39/41] gnu: rust-rbw: adding rust-paw

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53075, #53076, #53077, #53078, #53079, #53080, #53081, #53082, #53083, #53084, #53085, #53086, #53087, #53088, #53089, #53090, #53091, #53092, #53093, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53111, #53112, #53113, #53115, #53116, #53117; dated Fri, 7 Jan 2022 14:32:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 14:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 09:31:37 2022
Received: from localhost ([127.0.0.1]:43584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5qH4-0006mJ-A1
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:31:37 -0500
Received: from lists.gnu.org ([209.51.188.17]:37128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5qH2-0006m4-Dt
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 09:31:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34142)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5qH2-0002Sg-7y
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:31:20 -0500
Received: from 12.mo582.mail-out.ovh.net ([178.32.125.228]:37411)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5qGz-0006oP-En
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 09:31:19 -0500
Received: from player787.ha.ovh.net (unknown [10.110.171.96])
 by mo582.mail-out.ovh.net (Postfix) with ESMTP id 1EB1224D32
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:31:16 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player787.ha.ovh.net (Postfix) with ESMTPSA id CC53826448C50
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 14:31:15 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-104R005cc9ecdeb-126a-48c2-950d-287ac7504976,
 C5EFE81BC3FDA951DF58A4F1F033AF37FC7B5DFC) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 39/41] gnu: rust-rbw: adding rust-paw
Date: Fri, 07 Jan 2022 15:30:15 +0100
Message-ID: <877dbbk47g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0040-rust-rbw-dependencies-adding-rust-paw.patch
X-Ovh-Tracer-Id: 5670876358178956026
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddggeduucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpegfhffvufffkfggtgguseertdertddtredtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepudejteehgeeiffelveetueeguefgtdeikeefjeevffdtvddtgfffjedukeeuhedunecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfkpheptddrtddrtddrtddpuddtledrtddrvdefkedrvddtudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeekjedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrgh
Received-SPF: pass client-ip=178.32.125.228; envelope-from=ngraves@HIDDEN;
 helo=12.mo582.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From aaa870f575ab13e0b58754c0392c2cd001c359ab Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Fri, 7 Jan 2022 13:52:16 +0100
Subject: [PATCH 40/42] rust-rbw dependencies : adding rust-paw

---
 gnu/packages/crates-io.scm | 122 ++++++++++++++++++++++++++++++++-----
 1 file changed, 108 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 50d5c215b4..3672b63475 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -37268,30 +37268,124 @@ (define-public rust-pathdiff-0.1
         (base32
          "0cfg3isnx6mf3wbi7rsg4nmvywby40sbcs589n20fgi09l4p1gx3"))))))
 
-(define-public rust-pbkdf2-0.10
+(define-public rust-paw-1
   (package
-    (name "rust-pbkdf2")
-    (version "0.10.0")
+    (name "rust-paw")
+    (version "1.0.0")
     (source
       (origin
         (method url-fetch)
-        (uri (crate-uri "pbkdf2" version))
+        (uri (crate-uri "paw" version))
         (file-name
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "0d3l06x5mg96njxfsksjwl6440alf72qh4rwrpnq4fwmrz1qqqm4"))))
+          "1sc481y42rb08hmww525m4539ppl8k0w14kwxp13vg2dasdzrh09"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build?
-        #t
-        #:cargo-inputs
-        (("rust-digest" ,rust-digest-0.10)
-         ("rust-hmac" ,rust-hmac-0.12)
-         ("rust-password-hash" ,rust-password-hash-0.3)
-         ("rust-rayon" ,rust-rayon-1)
-         ("rust-sha-1" ,rust-sha-1-0.10)
-         ("rust-sha2" ,rust-sha2-0.10))))
+      `(#:cargo-inputs
+        (("rust-paw-attributes" ,rust-paw-attributes-1)
+         ("rust-paw-raw" ,rust-paw-raw-1))
+        #:cargo-development-inputs
+        (("rust-paw-structopt" ,rust-paw-structopt-1)
+         ("rust-runtime" ,rust-runtime-0.3)
+         ("rust-structopt" ,rust-structopt-0.2))
+        #:tests? #f))                   ; FIXME
+    (home-page "https://github.com/rust-cli/paw")
+    (synopsis "CLI argument parser")
+    (description "CLI argument parser. Paw defines a trait, a proc macro, and
+an example implementation that when combined allow you to pass fully parsed
+arguments to main. It avoids the need to remember which methods to call in order
+to parse arguments in the CLI.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-paw-attributes-1
+  (package
+    (name "rust-paw-attributes")
+    (version "1.0.2")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "paw-attributes" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0fda1v7y5pfmg8d2v7m0pyvif6c44qjz914jjn718pdyclrmhd8g"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-proc-macro2" ,rust-proc-macro2-1)
+         ("rust-quote" ,rust-quote-1)
+         ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/rust-cli/paw")
+    (synopsis "Proc Macro attributes for the Paw crate")
+    (description "Proc Macro attributes for the Paw crate.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-paw-raw-1
+  (package
+    (name "rust-paw-raw")
+    (version "1.0.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "paw-raw" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "1wk76ipp34gjh42vivmgdkb2rgr26gwhn34gk7z5l378ixk5j2vz"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/rust-cli/paw")
+    (synopsis "Traits to implement custom Paw implementations")
+    (description "Traits to implement custom Paw implementations")
+    (license (list license:expat license:asl2.0))))
+
+
+(define-public rust-paw-structopt-1
+  (package
+   (name "rust-paw-structopt")
+   (version "1.0.0")
+   (source
+    (origin
+     (method url-fetch)
+     (uri (crate-uri "paw-structopt" version))
+     (file-name (string-append name "-" version ".tar.gz"))
+     (sha256
+      (base32 "1iwg83xqjpfgpy8wrq173cy7zgkyxfryd230sh34f5qsjdx7zap4"))))
+   (build-system cargo-build-system)
+   (arguments
+    `(#:cargo-inputs
+      (("rust-proc-macro2" ,rust-proc-macro2-0.4)
+       ("rust-quote" ,rust-quote-0.6)
+       ("rust-structopt" ,rust-structopt-0.2)
+       ("rust-syn" ,rust-syn-0.15))))
+   (home-page "https://github.com/rust-cli/paw")
+   (synopsis "Structopt support for the Paw crate")
+   (description "Structopt support for the Paw crate.")
+   (license (list license:expat license:asl2.0))))
+
+(define-public rust-pbkdf2-0.10
+  (package
+    (name "rust-pbkdf2")
+    (version "0.10.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pbkdf2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0d3l06x5mg96njxfsksjwl6440alf72qh4rwrpnq4fwmrz1qqqm4"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-digest" ,rust-digest-0.10)
+        ("rust-hmac" ,rust-hmac-0.12)
+        ("rust-password-hash" ,rust-password-hash-0.3)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-sha-1" ,rust-sha-1-0.10)
+        ("rust-sha2" ,rust-sha2-0.10))))
     (home-page "https://github.com/RustCrypto/password-hashing")
     (synopsis "Generic implementation of PBKDF2")
     (description "This package contains a collection of password hashing
-- 
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53114; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.